public class SwitchTest{
  enum Colour{red,blue,yellow}

  public static void main(String args[]){
    Colour c=Colour.blue;
    switch(c) {
      case red:
      System.out.println("红色");
      break;

      case blue:
      System.out.println("蓝色");
      break;

      case yellow:
      System.out.println("黄色");
      break;

      default:
      System.out.println("其他颜色");
     }
  }
}




/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/

